require("HeroPlanAttach")

function Definitions()
	DebugMessage("%s -- In Definitions", tostring(Script))

	-- only join plans that meet our expense requirements.
	MinPlanAttachCost = 5000
	MaxPlanAttachCost = 0

	-- Commander hit list.
	Attack_Ability_Type_Names = { "Super", "Capital", "Frigate", "Corvette", "Bomber", "Fighter" }
	Attack_Ability_Weights = { 1, 1, 1, 1, 1, 1 }
	Attack_Ability_Types = WeightedTypeList.Create()
	Attack_Ability_Types.Parse(Attack_Ability_Type_Names, Attack_Ability_Weights)

	-- Prefer task forces with these units.
	Escort_Ability_Type_Names = { "R_T-65A_X-wing_Squadron", "R_T-65B_X-wing_Squadron", "R_T-65C_X-wing_Squadron", "R_T-65F_X-wing_Squadron", "R_T-65I_X-wing_Squadron", "R_T-65J_X-wing_Squadron", "R_T-65J3_X-wing_Squadron", "R_T-65J5_X-wing_Squadron", "R_T-65J6_X-wing_Squadron, "R_T-65J7_X-wing_Squadron"", "Bomber", "Fighter" }
	Escort_Ability_Weights = { 20, 20, 20, 20, 20, 20, 20, 20, 20, 20, 10, 10 }
	Escort_Ability_Types = WeightedTypeList.Create()
	Escort_Ability_Types.Parse(Escort_Ability_Type_Names, Escort_Ability_Weights)
end

function Evaluate_Attack_Ability(target, goal)
	return Get_Target_Weight(target, Attack_Ability_Types, Attack_Ability_Weights)
end

function Get_Escort_Ability_Weights(goal)
	return Escort_Ability_Types
end

function HeroService()

end