require("HeroPlanAttach")

function Definitions()
	DebugMessage("%s -- In Definitions", tostring(Script))

	-- only join plans that meet our expense requirements.
	MinPlanAttachCost = 5000
	MaxPlanAttachCost = 0

	-- Commander hit list.
	Attack_Ability_Type_Names = { "Bast_Team", "Boba_Fett_Team", "Cronal_Team", "Darth_Team", "Firmus_Piett_Team", "Maarek_Stele_Team", "Mara_Jade_Team", "General_Veers_Team", "Sate_Pestage_Team", "Soontir_Fel_Team", "Thrawn_Team", "Grand_Moff_Tarkin_Team", "Generic_Field_Commander_Empire", "Generic_Fleet_Commander_Empire", "Generic_Smuggler_E" }
	Attack_Ability_Weights = { 1, 2, 1, 1, 1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 1 }
	Attack_Ability_Types = WeightedTypeList.Create()
	Attack_Ability_Types.Parse(Attack_Ability_Type_Names, Attack_Ability_Weights)

	-- Prefer task forces with these units.
	Escort_Ability_Type_Names = { "Super", "Capital", "Frigate", "Corvette", "Bomber", "Fighter", "Fleet_Com_Rebel_Team" }
	Escort_Ability_Weights = { 10, 10, 10, 10, 10, 10, 10 }
	Escort_Ability_Types = WeightedTypeList.Create()
	Escort_Ability_Types.Parse(Escort_Ability_Type_Names, Escort_Ability_Weights)
end

function Evaluate_Attack_Ability(target, goal)
	return Get_Target_Weight(target, Attack_Ability_Types, Attack_Ability_Weights)
end

function Get_Escort_Ability_Weights(goal)
	return Escort_Ability_Types
end

function HeroService()

end