require("HeroPlanAttach")

function Definitions()
	DebugMessage("%s -- In Definitions", tostring(Script))

	-- only join plans that meet our expense requirements.
	MinPlanAttachCost = 5000
	MaxPlanAttachCost = 0

	-- Commander hit list.
	Attack_Ability_Type_Names = { "Super", "Capital", "Frigate", "Corvette", "Bomber", "Fighter" }
	Attack_Ability_Weights = { 1, 1, 1, 1, 1, 1 }
	Attack_Ability_Types = WeightedTypeList.Create()
	Attack_Ability_Types.Parse(Attack_Ability_Type_Names, Attack_Ability_Weights)

	-- Prefer task forces with these units.
	Escort_Ability_Type_Names = { "E_TIE_Advanced_x3_Squadron", "E_TIE_Interceptor_Squadron", "E_TIE_Interceptor_x2_Squadron", "E_TIE_Interceptor_x3_Squadron", "E_TIE_Interceptor_x4_Squadron", "E_TIE_Interceptor_x5_Squadron", "E_TIE_Interceptor_x6_Squadron", "E_TIE_Interceptor_x7_Squadron", "E_TIE_Interceptor_x8_Squadron", "E_TIE_Interceptor_x9_Squadron", "Bomber", "Fighter" }
	Escort_Ability_Weights = { 20, 20, 10, 10 }
	Escort_Ability_Types = WeightedTypeList.Create()
	Escort_Ability_Types.Parse(Escort_Ability_Type_Names, Escort_Ability_Weights)
end

function Evaluate_Attack_Ability(target, goal)
	return Get_Target_Weight(target, Attack_Ability_Types, Attack_Ability_Weights)
end

function Get_Escort_Ability_Weights(goal)
	return Escort_Ability_Types
end

function HeroService()

end